Subject: Re: bug#62726: [PATCH] services: Activate `setuid-program-service-type' in shepherd.

From: Brian Cully <[email-masked]>
Date: Wed, 07 Jun 2023 08:58:16 -0400

I've made some changes to this patch to address some issues:

1) I've added ‘setuid-programs’ as a requirement to various Shepherd
services which need it, such as dbus and pam. I've also added it to
‘user-processes’ as a requirement to catch things we don't specify
explicitly.

2) I've removed (@ (gnu services) setuid-programs), rather than marking
it deprecated. Since the variable name (setuid-programs-service-type)
hasn't changed, normal deprecation doesn't work anyway, and just leads
to annoying double-import warnings.

This probably deserves an entry in ‘guix pull --news’, because, as a
Shepherd service it can now be used by other Shepherd services, and the
module path has changed, which will cause errors for existing system
configurations which use ‘setuid-programs-service-type’. I'm not sure
the best way to go about adding it, though, or if I should let a
committer do it.